CGAL 6.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::compare_distance_to_point()
Reference Manual » Global Kernel Functions

##

See also
  `CGAL::compare_squared_distance()`
  `CGAL::compare_signed_distance_to_line()`
  `CGAL::compare_signed_distance_to_plane()`
  `CGAL::has_larger_distance_to_point()`
  `CGAL::has_larger_signed_distance_to_line()`
  `CGAL::has_larger_signed_distance_to_plane()`
  `CGAL::has_smaller_distance_to_point()`
  `CGAL::has_smaller_signed_distance_to_line()`
  `CGAL::has_smaller_signed_distance_to_plane()`

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_distance_to_point (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| compares the distances of points `q` and `r` to point `p`.
template<typename Kernel >
Comparison_result | CGAL::compare_distance_to_point (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| compares the distances of points `q` and `r` to point `p`.

## Function Documentation

## ◆ compare_distance_to_point() [1/2]

template<typename Kernel >

Comparison_result CGAL::compare_distance_to_point | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the distances of points `q` and `r` to point `p`.

returns `CGAL::SMALLER`, iff `q` is closer to `p` than `r`, `CGAL::LARGER`, iff `r` is closer to `p` than `q`, and `CGAL::EQUAL` otherwise.

## ◆ compare_distance_to_point() [2/2]

template<typename Kernel >

Comparison_result CGAL::compare_distance_to_point | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the distances of points `q` and `r` to point `p`.

returns `CGAL::SMALLER`, iff `q` is closer to `p` than `r`, `CGAL::LARGER`, iff `r` is closer to `p` than `q`, and `CGAL::EQUAL` otherwise.